Modbot Docs
APIAPI referenceSettings

Delete role pair

DELETE/api/discord-sync/pairs/{id}

Stop pairing two roles. Neither role is changed.

Needs the ManageDiscordSync permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/api/discord-sync/pairs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "roleSyncOn": true,  "banSyncToDiscord": true,  "banSyncToVRChat": true,  "banSyncFromBots": true,  "banCopyAction": "string",  "botCanBanMembers": true,  "botCanRemoveMembers": true,  "botCanManageRoles": true,  "rolesRanAt": null,  "rolesProblem": null,  "bansReadAt": null,  "bansProblem": null,  "pairs": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "vrChatRoleId": "string",      "vrChatRoleName": null,      "discordRoleId": "string",      "discordRoleName": null,      "decides": "string",      "enabled": true,      "botCanAssign": true,      "rank": null,      "problem": null    }  ],  "groupRoles": [    {      "id": "string",      "name": "string"    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.